View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000269: ![set,windowstate,stayontop] has some small problems when SSP starts
Description

when start , my ghost will according to the variable play ![set,windowstate,stayontop] or other operations: in short, restore the previous display settings when start
But this function is not very effective, ![set,windowstate,stayontop] in first sakura only works for role0, and role1 is still the default display setting

TagsNo tags attached.
Attach Tags

Activities

ponapalt

2021-09-09 08:26

administrator   ~0000655

Please try 2.5.24

guest

2021-09-09 09:42

reporter   ~0000658

fixed
thanks

ponapalt

2021-09-15 11:26

administrator   ~0000670

fixed

guest

2021-09-22 00:44

reporter   ~0000692

rehappen in 2.5.26

ponapalt

2021-09-22 06:00

administrator   ~0000693

Please tell me target ghost to fix.
There's no change about this issue.

guest

2021-09-22 13:37

reporter   ~0000694

Sorry I think this issue can be closed
Yesterday after the ssp update ghost wouldn't stay on top no matter what, but today it's somehow back to normal
Sorry to bother you.�

ponapalt

2021-10-02 16:15

administrator   ~0000744

2.5.33
Improve stability of stayontop option thanks to your re-report.

guest

2021-10-02 16:33

reporter   ~0000745

I'm sorry.
But here is the screen recording after upgrading to 2.5.33

guest

2021-10-02 16:34

reporter   ~0000746

a.gif (469,624 bytes)

ponapalt

2021-10-02 17:29

administrator   ~0000747

I can't reproduce your report despite of using same ghost.
stayontop works fine on my 2 PCs.

guest

2021-10-02 17:51

reporter   ~0000748

Yes it is strange
After I take a shower everything works fine, but even restarting the computer before I take a shower doesn't help
Never mind, please close this issue
Sorry to bother you

guest

2021-10-02 18:09

reporter   ~0000749

I found that the problem came back after I restarted ssp, but I was able to fix it until the next ssp restart by minimising ghost and then unminimising it

ponapalt

2021-10-02 19:19

administrator   ~0000750

Last edited: 2021-10-02 19:20

It's very strange behavior...

guest

2021-10-04 09:49

reporter   ~0000757

Sometimes minimizing and then unminimizing doesn't work, you need to ! [set,windowstate,!stayontop] and then ! [set,windowstate,stayontop]
very strange

ponapalt

2021-10-05 17:15

administrator   ~0000760

Finally, I've found how to reproduce this problem : the window which is not foreground cannot change to topmost window.
This behavior may be by design of Windows OS, so I'll change ![set,windowstate,stayontop] tag behavior to forcefully getting window focus and bring to foreground window.

May be fixed next version.

ponapalt

2021-10-06 08:14

administrator   ~0000769

2.5.34

guest

2021-10-06 10:47

reporter   ~0000774

Ghosts are having trouble staying on top with the 'always show foreground' option in the preferences now. I can't say for the sakurascript command.
If I click the tray icon, which usually brings them to the front, they will flicker and minimize themselves. If I right click them, they'll appear to stay on top, until I click another window. I can't find a way to get them to stay on top right now... It's not affecting all of my ghosts, but of the 6 I currently have open, 2 are exhibiting this issue.

guest

2021-10-06 10:47

reporter   ~0000775

21-10-5_04.gif (441,236 bytes)

ponapalt

2021-10-11 04:45

administrator   ~0000783

(state change : reproduced)

ponapalt

2021-10-12 12:51

administrator   ~0000793

2.5.35

Issue History

Date Modified Username Field Change
2021-09-08 22:55 guest New Issue
2021-09-09 08:26 ponapalt Assigned To => ponapalt
2021-09-09 08:26 ponapalt Status new => feedback
2021-09-09 08:26 ponapalt Note Added: 0000655
2021-09-09 09:42 guest Note Added: 0000658
2021-09-09 09:42 guest Status feedback => assigned
2021-09-15 11:26 ponapalt Status assigned => closed
2021-09-15 11:26 ponapalt Resolution open => fixed
2021-09-15 11:26 ponapalt Fixed in Version => 2.5 (リリース)
2021-09-15 11:26 ponapalt Note Added: 0000670
2021-09-22 00:44 guest Status closed => feedback
2021-09-22 00:44 guest Resolution fixed => reopened
2021-09-22 00:44 guest Note Added: 0000692
2021-09-22 06:00 ponapalt Note Added: 0000693
2021-09-22 13:37 guest Note Added: 0000694
2021-09-22 13:37 guest Status feedback => assigned
2021-10-02 09:10 ponapalt Status assigned => confirmed
2021-10-02 16:15 ponapalt Status confirmed => closed
2021-10-02 16:15 ponapalt Note Added: 0000744
2021-10-02 16:33 guest Status closed => feedback
2021-10-02 16:33 guest Note Added: 0000745
2021-10-02 16:34 guest Note Added: 0000746
2021-10-02 16:34 guest File Added: a.gif
2021-10-02 16:34 guest Status feedback => assigned
2021-10-02 17:29 ponapalt Status assigned => feedback
2021-10-02 17:29 ponapalt Note Added: 0000747
2021-10-02 17:51 guest Note Added: 0000748
2021-10-02 17:51 guest Status feedback => assigned
2021-10-02 18:09 guest Note Added: 0000749
2021-10-02 19:19 ponapalt Note Added: 0000750
2021-10-02 19:20 ponapalt Note Edited: 0000750
2021-10-04 09:49 guest Note Added: 0000757
2021-10-05 17:15 ponapalt Status assigned => confirmed
2021-10-05 17:15 ponapalt Note Added: 0000760
2021-10-06 08:14 ponapalt Status confirmed => closed
2021-10-06 08:14 ponapalt Note Added: 0000769
2021-10-06 10:47 guest Status closed => feedback
2021-10-06 10:47 guest Note Added: 0000774
2021-10-06 10:47 guest Note Added: 0000775
2021-10-06 10:47 guest File Added: 21-10-5_04.gif
2021-10-06 10:47 guest Status feedback => assigned
2021-10-11 04:45 ponapalt Status assigned => confirmed
2021-10-11 04:45 ponapalt Note Added: 0000783
2021-10-12 12:51 ponapalt Status confirmed => closed
2021-10-12 12:51 ponapalt Note Added: 0000793